import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import NvidiaNemoLogoLight from './NvidiaNemoLogoLight';
import NvidiaNemoLogoDark from './NvidiaNemoLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const NvidiaNemoLogoSvg = forwardRef(function NvidiaNemoLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(NvidiaNemoLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(NvidiaNemoLogoLight, Object.assign({}, props, { ref: ref })));
});
export default NvidiaNemoLogoSvg;
